# Windows Drives

Manage Microsoft Windows drives.

## Table of Contents

1. [Description](#description)
2. [Usage - Configuration options and additional functionality](#usage)
3. [Limitations - OS compatibility, etc.](#limitations)
4. [Development - Guide for contributing to the module](#development)

## Description

This module allows you to manage drives within Microsoft Windows.

## Usage

Simply supply the desired array information:
```
windows_drives::drives: [
  {
    letter: 'E',
    label: 'Example01',
    indexing: 'false',
  },
]
windows_drives::shadow_copies: [
  {
      letter: 'E',
      auto_retry_minutes: 25,
      triggers: [
        {
          at: '11:45pm',
          days_of_week: ['Friday'],
          weeks_interval: 1,
        },
      ],
    },
]
```

## Limitations

1. This modules uses puppet-strings to generate the contents of the REFERENCE.md file:
  * `puppet strings generate --format markdown --out REFERENCE.md`
2. This module has been evaluated against the following (determined via $PSVersionTable):
  * Microsoft Windows Server 2022 (running PowerShell 5.1.20348.2849)
  * Microsoft Windows Server 2019 (running PowerShell 5.1.17763.6530)
  * Microsoft Windows 11 (running PowerShell 5.1.26100.2161)

## Development

Feedback and ideas are always welcome - please contact an Author (listed in metadata.json) to discuss your input, or feel free to simply [open an Issue](https://gitlab.com/rfbennett/windows_drives/-/issues).

Command to apply this module locally (and try it out):
`puppet apply --modulepath="<PathToModuleParentFolders>" --execute "include <ModuleName>" --environment "<EnvironmentName>" --no-splay --verbose --debug`

For example: `puppet apply --modulepath="C:\ProgramData\PuppetLabs\code\environments\production\modules;c:\projects\forge" --execute "include windows_drives" --environment "production" --no-splay`
