# @summary Configuration
#
# Configures Microsoft Windows drives
#
# @api private
#
# @example
#   include windows_drives::config
class windows_drives::config {
  assert_private()
  if empty($windows_drives::drives) {
    if ($windows_drives::log_output) {
      notify { "${module_name} - config - no drives to configure": }
    }
  } else {
    $windows_drives::drives.each | Hash $drive_hash | {
      windows_drives::defines::drive { $drive_hash['letter']:
        * => $drive_hash,
      }
    }
  }
  if empty($windows_drives::shadow_copies) {
    if ($windows_drives::log_output) {
      notify { "${module_name} - config - no shadow copies to configure": }
    }
  } else {
    $windows_drives::shadow_copies.each | Hash $shadow_copy_hash | {
      windows_drives::defines::shadow_copy { $shadow_copy_hash['letter']:
        * => $shadow_copy_hash,
      }
    }
  }
}
